Subject: Re: [PATCH 0/5] global: drop external `the_index` variable

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 18 Apr 2024 14:16:23 +0200

On Wed, Apr 17, 2024 at 10:40:24AM -0700, Karthik Nayak wrote:
> Hello,
> 
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Hi,
> >
> > this patch series converts remaining users of `the_index` to stop using
> > it, instead using `the_repository->index`. This gets rid of one more
> > global variable and brings a project over the finish line that has
> > started back in 2007.
> >
> > I realize that this patch series is quite large, and that reviewers will
> > eventually start to just gloss over things because the conversions are
> > kind of boring, too. Also, due to the size it's quite likely to conflict
> > with in-flight topics. So if you think that this is too large, please
> > let me know and I will happily split this up into multiple series.
> 
> I gave it a glance review. I also wanted to run the tests on each
> commit, but couldn't apply the series cleanly on either master or next.

Huh, weird. It applies cleanly on top of both 21306a098c (The twentieth
batch, 2024-04-16) and 701ccded8b (Merge branch 'rs/apply-reject-long-name'
into next, 2024-04-17) for me.

Patrick